Vulnerability CVE-2009-0537


Published: 2009-03-09   Modified: 2012-02-13

Description:
Integer overflow in the fts_build function in fts.c in libc in (1) OpenBSD 4.4 and earlier and (2) Microsoft Interix 6.0 build 10.0.6030.0 allows context-dependent attackers to cause a denial of service (application crash) via a deep directory tree, related to the fts_level structure member, as demonstrated by (a) du, (b) rm, (c) chmod, and (d) chgrp on OpenBSD; and (e) SearchIndexer.exe on Vista Enterprise.

See advisories in our WLB2 database:
Topic
Author
Date
Med.
fts_*():multiple vendors, Denial-of-service
Maksymilian Arci...
04.03.2009
Med.
libc:fts_*() Multiple Denial of Service
Maksymilian Arci...
02.10.2009

Type:

CWE-189

(Numeric Errors)

CVSS2 => (AV:L/AC:L/Au:N/C:N/I:N/A:C)

CVSS Base Score
Impact Subscore
Exploitability Subscore
4.9/10
6.9/10
3.9/10
Exploit range
Attack complexity
Authentication
Local
Low
No required
Confidentiality impact
Integrity impact
Availability impact
None
None
Complete
Affected software
Openbsd -> Openbsd 
Microsoft -> Interix 

 References:
http://securityreason.com/achievement_securityalert/60
http://www.openbsd.org/cgi-bin/cvsweb/src/lib/libc/gen/fts.c
http://www.openbsd.org/cgi-bin/cvsweb/src/lib/libc/gen/fts.c.diff?r1=1.41;r2=1.42;f=h
http://www.securityfocus.com/archive/1/501505/100/0/threaded
http://www.securityfocus.com/bid/34008
http://www.securitytracker.com/id?1021818
https://www.exploit-db.com/exploits/8163

Copyright 2021, cxsecurity.com

 

Back to Top